# Flutter/Dart-spezifisch
.metadata
.dart_tool/
.flutter-plugins
.flutter-plugins-dependencies
.packages
pubspec.lock # Optional, abhängig vom Projekt-Typ

# Build-Artefakte
build/
*.iml
*.class

# Android-spezifisch
android/.gradle
android/captures/
android/.externalNativeBuild
android/local.properties
android/key.properties

# iOS-spezifisch
ios/.symlinks/
ios/Flutter/Flutter.framework
ios/Flutter/Flutter.podspec
ios/Pods/
ios/.generated/
ios/Runner.xcworkspace/xcuserdata/

# Web
web/.dart_tool/

# Windows
windows/flutter/ephemeral/

# macOS
macos/Flutter/ephemeral/

#
.idea
